net.sf.saxon.functions

## Class URIQueryParameters

- java.lang.Object
- - net.sf.saxon.functions.URIQueryParameters

-     public class URIQueryParameters
      extends Object

  A set of query parameters on a URI passed to the collection() or document() function

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `URIQueryParameters.RegexFilter` A FilenameFilter that tests file names against a regular expression

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ON_ERROR_FAIL`
    `static int` | `ON_ERROR_IGNORE`
    `static int` | `ON_ERROR_WARNING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `URIQueryParameters(String query, Configuration config)` Create an object representing the query part of a URI

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FilenameFilter` | `getFilenameFilter()` Get the file name filter (select=pattern), or null if unspecified
    `Integer` | `getOnError()` Get the value of the on-error=fail|warning|ignore parameter, or null if unspecified
    `Boolean` | `getRecurse()` Get the value of the recurse=yes|no parameter, or null if unspecified
    `int` | `getStripSpace()` Get the value of the strip-space=yes|no parameter.
    `Integer` | `getValidationMode()` Get the value of the validation=strict|lax|preserve|strip parameter, or null if unspecified
    `Boolean` | `getXInclude()` Get the value of xinclude=yes|no, or null if unspecified
    `XMLReader` | `getXMLReader()` Get the selected XML parser, or null if unspecified
    `boolean` | `isUnparsed()` Get the value of unparsed=yes|no, or false if unspecified
    `static URIQueryParameters.RegexFilter` | `makeGlobFilter(String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ON_ERROR_FAIL

          public static final int ON_ERROR_FAIL

      See Also:
        Constant Field Values

    - #### ON_ERROR_WARNING

          public static final int ON_ERROR_WARNING

      See Also:
        Constant Field Values

    - #### ON_ERROR_IGNORE

          public static final int ON_ERROR_IGNORE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### URIQueryParameters

          public URIQueryParameters(String query,
                            Configuration config)

      Create an object representing the query part of a URI
      Parameters:
        `query` - the part of the URI after the "?" symbol
        `config` - the Saxon configuration

  - ### Method Detail

    - #### makeGlobFilter

          public static URIQueryParameters.RegexFilter makeGlobFilter(String value)

    - #### getStripSpace

          public int getStripSpace()

      Get the value of the strip-space=yes|no parameter.
      Returns:
        one of the values `Whitespace.ALL`, `Whitespace.IGNORABLE`, `Whitespace.NONE`, `Whitespace.UNSPECIFIED`

    - #### getValidationMode

          public Integer getValidationMode()

      Get the value of the validation=strict|lax|preserve|strip parameter, or null if unspecified

    - #### getFilenameFilter

          public FilenameFilter getFilenameFilter()

      Get the file name filter (select=pattern), or null if unspecified

    - #### getRecurse

          public Boolean getRecurse()

      Get the value of the recurse=yes|no parameter, or null if unspecified

    - #### getOnError

          public Integer getOnError()

      Get the value of the on-error=fail|warning|ignore parameter, or null if unspecified

    - #### getXInclude

          public Boolean getXInclude()

      Get the value of xinclude=yes|no, or null if unspecified

    - #### isUnparsed

          public boolean isUnparsed()

      Get the value of unparsed=yes|no, or false if unspecified

    - #### getXMLReader

          public XMLReader getXMLReader()

      Get the selected XML parser, or null if unspecified

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.